<div class="container">
    <div class="qualifications-container">
        <ul class="qualifications">
            <li *ngFor="let qualification of q" 
            [class.selectedQualification]="qualification === selectedQ"
            (click)="onSelectQ(qualification)">
            {{qualification.name}}
            </li>
        </ul>
    </div>
    <div class="subqualifications_container">
        <div *ngIf="selectedQ">
            <div class="subqualification_header">{{ selectedQ.name }}</div>
            <ul class="subqualifications">
                <li *ngFor="let subqualification of assignedSq"
                    [class.selectedSubQualification]="subqualification === selectedSq"
                    (click)="onSelectSq(subqualification)">                    
                    <div class="subqualification_box">
                        <div class="subqualification_id">{{ subqualification.id }}</div> 
                        <div class="subqualification_text">{{ subqualification.name }}</div>
                    </div>  
                    <div *ngIf="selectedSq === subqualification" class="selectedSubQualification_box">
                        {{ selectedSq.id }}
                    </div> 
                </li>
            </ul>
        </div>
    </div>
</div>